<!DOCTYPE patchbay>
<patchbay version="0.4.5" name="onboard">
 <output-sockets>
  <socket exclusive="off" name="Headphones OUT L" client="jack_rack_headphones" type="jack-audio">
   <plug>out_1</plug>
  </socket>
  <socket exclusive="off" name="Headphones OUT R" client="jack_rack_headphones" type="jack-audio">
   <plug>out_2</plug>
  </socket>
  <socket exclusive="off" name="Qsynth OUT L" client="qsynth" type="jack-audio">
   <plug>l_00</plug>
  </socket>
  <socket exclusive="off" name="Qsynth OUT R" client="qsynth" type="jack-audio">
   <plug>r_00</plug>
  </socket>
  <socket exclusive="off" name="MDA EPiano OUT L" client="MDA ePiano" type="jack-audio">
   <plug>left_out</plug>
  </socket>
  <socket exclusive="off" name="MDA EPiano OUT R" client="MDA ePiano" type="jack-audio">
   <plug>right_out</plug>
  </socket>
  <socket exclusive="off" name="jack-keyboard SEND" client="jack-keyboard" type="jack-midi">
   <plug>midi_out</plug>
  </socket>
  <socket exclusive="off" name="a2j ALSA OUT" client="Midi Through" type="alsa-midi">
   <plug>Midi Through Port-0</plug>
  </socket>
  <socket exclusive="off" name="a2j MIDI OUT" client="a2j" type="jack-midi">
   <plug>Midi Through \[14\] \(capture\): Midi Through Port-0</plug>
  </socket>
  <socket exclusive="off" name="AKAI LPK25 Keyboard" client="LPK25" type="alsa-midi">
   <plug>LPK25 MIDI 1</plug>
  </socket>
  <socket exclusive="off" name="Alesis Recital Keyboard" client="Alesis Recital" type="alsa-midi">
   <plug>Alesis Recital MIDI 1</plug>
  </socket>
  <socket exclusive="off" name="PulseAudio Sink L" client="PulseAudio JACK Sink" type="jack-audio">
   <plug>front-left</plug>
  </socket>
  <socket exclusive="off" name="PulseAudio Sink R" client="PulseAudio JACK Sink" type="jack-audio">
   <plug>front-right</plug>
  </socket>
 </output-sockets>
 <input-sockets>
  <socket exclusive="off" name="Headphones IN L" client="jack_rack_headphones" type="jack-audio">
   <plug>in_1</plug>
  </socket>
  <socket exclusive="off" name="Headphones IN R" client="jack_rack_headphones" type="jack-audio">
   <plug>in_2</plug>
  </socket>
  <socket exclusive="off" name="Bass FX IN" client="jack_rack_bass" type="jack-audio">
   <plug>in_1</plug>
  </socket>
  <socket exclusive="off" name="System OUT L" client="system" type="jack-audio">
   <plug>playback_1</plug>
  </socket>
  <socket exclusive="off" name="System OUT R" client="system" type="jack-audio">
   <plug>playback_2</plug>
  </socket>
  <socket exclusive="off" name="a2j ALSA IN" client="Midi Through" type="alsa-midi">
   <plug>Midi Through Port-0</plug>
  </socket>
  <socket exclusive="off" name="a2j MIDI IN" client="a2j" type="jack-midi">
   <plug>Midi Through \[14\] \(playback\): Midi Through Port-0</plug>
  </socket>
  <socket exclusive="off" name="FLUID Synth IN" client="FLUID Synth \([0-9]+\)" type="alsa-midi">
   <plug>Synth input port \([0-9]+:0\)</plug>
  </socket>
  <socket exclusive="off" name="MDA EPiano IN" client="MDA ePiano" type="jack-midi">
   <plug>event_in</plug>
  </socket>
 </input-sockets>
 <slots/>
 <cables>
  <cable input="System OUT L" output="Headphones OUT L" type="jack-audio"/>
  <cable input="System OUT R" output="Headphones OUT R" type="jack-audio"/>
  <cable input="Headphones IN L" output="Qsynth OUT L" type="jack-audio"/>
  <cable input="Headphones IN R" output="Qsynth OUT R" type="jack-audio"/>
  <cable input="Headphones IN L" output="MDA EPiano OUT L" type="jack-audio"/>
  <cable input="Headphones IN R" output="MDA EPiano OUT R" type="jack-audio"/>
  <cable input="MDA EPiano IN" output="jack-keyboard SEND" type="jack-midi"/>
  <cable input="a2j MIDI IN" output="jack-keyboard SEND" type="jack-midi"/>
  <cable input="FLUID Synth IN" output="a2j ALSA OUT" type="alsa-midi"/>
  <cable input="MDA EPiano IN" output="a2j MIDI OUT" type="jack-midi"/>
  <cable input="FLUID Synth IN" output="AKAI LPK25 Keyboard" type="alsa-midi"/>
  <cable input="a2j ALSA IN" output="AKAI LPK25 Keyboard" type="alsa-midi"/>
  <cable input="Headphones IN L" output="PulseAudio Sink L" type="jack-audio"/>
  <cable input="Headphones IN R" output="PulseAudio Sink R" type="jack-audio"/>
  <cable input="a2j ALSA IN" output="Alesis Recital Keyboard" type="alsa-midi"/>
 </cables>
</patchbay>

